OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::AudioDeviceManager::LevelMeter Struct Reference

`#include <juce_AudioDeviceManager.h>`

Inheritance diagram for juce::AudioDeviceManager::LevelMeter:

## Public Types
using | Ptr = ReferenceCountedObjectPtr< LevelMeter >

## Public Member Functions
double | getCurrentLevel () const noexcept
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
void | decReferenceCount () noexcept
bool | decReferenceCountWithoutDeleting () noexcept
int | getReferenceCount () const noexcept

## Additional Inherited Members
Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
virtual | ~ReferenceCountedObject ()
void | resetReferenceCount () noexcept

## Detailed Description

A simple reference-counted struct that holds a level-meter value that can be read using getCurrentLevel().

This is used to ensure that the level processing code is only executed when something holds a reference to one of these objects and will be bypassed otherwise.

See also
  getInputLevelGetter, getOutputLevelGetter

Definition at line 418 of file juce_AudioDeviceManager.h.

## Member Typedef Documentation

## ◆ Ptr

using juce::AudioDeviceManager::LevelMeter::Ptr = ReferenceCountedObjectPtr<LevelMeter>

Definition at line 423 of file juce_AudioDeviceManager.h.

## Constructor & Destructor Documentation

## ◆ LevelMeter()

juce::AudioDeviceManager::LevelMeter::LevelMeter | ( |  | ) |
| noexcept

Definition at line 1005 of file juce_AudioDeviceManager.cpp.

## Member Function Documentation

## ◆ getCurrentLevel()

double juce::AudioDeviceManager::LevelMeter::getCurrentLevel | ( |  | ) | const
| noexcept

Definition at line 1043 of file juce_AudioDeviceManager.cpp.

The documentation for this struct was generated from the following files:

- juce_AudioDeviceManager.h
- juce_AudioDeviceManager.cpp